%define pkg_name        Object-Realize-Later
%define pkg_version     0.18
%define rpm_pkg_version 0.18
%define rpm_pkg_release 1.n0i.3

Summary:       Delay construction of real data until used
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MA/MARKOV/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Scalar::Util)}


%description
The "Object::Realize::Later" class helps with implementing transparent on
demand realization of object data. This is related to the tricks on
autoloading of data, the lesser known cousin of autoloading of
functionality. On demand realization is all about performance gain. Why
should you spent costly time on realizing an object, when the data on the
object is never (or not yet) used? In interactive programs, postponed
realization may boost start-up: the realization of objects is triggered by
the use, so spread over time.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.18-1.n0i.3
- version 0.18

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.16

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 0.15-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
